@import url("/import/css/_root.css");
@import url("/import/css/_top-menu.css");
@import url("/import/css/_header-default.css");
@import url("/import/css/__main-default.css");
@import url("/import/css/studio-kreatywne/_projekty-portfolio.css");
@import url("/import/css/_footer.css");

.f_s_kreatywne
{
    text-decoration: underline;
    text-decoration-color: var(--color-main);
}

/* Header */
header
{
    background-image: url("/import/grafika/tlo/zeucore_czerwony_bg.jpg");
}
.nav_pc .nav_logo img
{
    filter: none !important;
}

/* Ogólne */
main h2
{
    font-family: "Open Sans", sans-serif;
    font-size: 36px;
    font-weight: 800;
    line-height: 42px;
    color: var(--tekst-ciemny);
}
main h3
{
    font-family: "Open Sans", sans-serif;
    font-size: 28px;
    font-weight: 800;
    line-height: 42px;
    text-align: center;
    text-transform: unset;
    color: var(--tekst-ciemny);
}
main .p_def
{
    margin-bottom: auto;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-size: 14px;
    text-transform: none;
    text-align: left;
    line-height: 1.4;
    letter-spacing: 0.2;
    color: var(--tekst-ciemny);
}
.img_widok_u
{
    width: 100%;
    height: auto;
    border-radius: 16px;
}

/* Zalozenia projektowe */
.zalozenia_projektowe
{
    width: 100%;
    height: auto;
    padding: 55px 0;
}
.zalozenia_projektowe .zalozenia_projektowe_content
{
    width: 100%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 268px auto;
    align-items: center;
}
@media(max-width: 970px) {

    .zalozenia_projektowe .zalozenia_projektowe_content 
    {
        grid-template-columns: repeat(1, 1fr);
        gap: 12px;
    }
}
@media(min-width: 1100px) {

    .zalozenia_projektowe .zalozenia_projektowe_content 
    {
        grid-template-columns: 25% 75%;
    }
}
.zalozenia_projektowe .zalozenia_projektowe_content hr
{
    width: 50px;
    height: 3px;
    margin: 10px 0 0 0;
    border: none;
    background-color: var(--podkreslenie-jasny-szary);
}

/* Wykorzystane technologie */
.wykorzystane_technologie
{
    height: auto;
    padding-top: 55px;
}
.wykorzystane_technologie h3
{
    margin-bottom: 25px;
}
.wykorzystane_technologie .wt_content
{
    width: 100%;
    height: 40px;
    left: 0;
    display: block;
}
.wykorzystane_technologie .wt_content .karuzela
{
    width: 100vw;
    left: 0;
    position: absolute;
    overflow: hidden;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_inner 
{
    display: flex;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_inner div
{
    transform: translateY(40px);
    opacity: 0;
    transition: all 0.3s ease;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_inner div:nth-child(3n-2)
{
    transition-delay: 0.1s;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_inner div:nth-child(3n-1)
{
    transition-delay: 0.2s;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_inner div:nth-child(3n)
{
    transition-delay: 0.3s;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_inner.active div
{
    transform: translateY(0);
    opacity: 1;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_item > div
{
    display: flex;
    justify-content: center;
}
.wykorzystane_technologie .wt_content .karuzela .karuzela_item img 
{

    width: auto;
    height: 40px;
}

/* Zainwestuj */
.s_zainwestuj
{
    position: relative;
}
.s_zainwestuj .div_content
{
    position: relative;
}
.s_zainwestuj::before
{
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: block;
    position: absolute;
    background-image: url(/import/grafika/tlo/si_hex.png);
    background-position: 50% 17%;
    background-size: auto;
    filter: sepia(1) drop-shadow(2px 4px 6px black) brightness(10);
    z-index: 0;
}
@media (max-width: 479px) {

    .s_zainwestuj::before
    {
        background-position: 63%;
    }
}
.zainwestuj
{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
.zainwestuj p
{
    margin-top: 5px;
    font-size: 18px;
    text-align: center;
}
.zainwestuj a
{
    margin-top: 32px;
}

/* Podglad realizacji */
.podglad_realizacji
{

}
.podglad_realizacji .pr_flex
{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
    position: relative;
    box-sizing: border-box;
}
.podglad_realizacji .pr_flex .pr_box
{
    position: relative;
    border: 1px solid var(--border-lekki-szary);
    border-radius: 16px;
    overflow: hidden;
    aspect-ratio: 16/8.2;
    box-sizing: border-box;
}
.podglad_realizacji .pr_flex .pr_box.w100
{
    width: 100%;
}
.podglad_realizacji .pr_flex .pr_box.w50
{
    width: calc(50% - 20px);
}
.podglad_realizacji .pr_flex .pr_box .pr_box_content
{
    width: 100%;
    height: 100%;
    position: relative;
    overflow-y: auto;
    cursor: grab;
}
.podglad_realizacji .pr_flex .pr_box .pr_box_content div
{
    width: 100%;
    height: auto;
}
.podglad_realizacji .pr_flex .pr_box img
{
    width: 100%;
    height: auto;
    object-fit: fill;
}

@media(max-width: 1150px)
{
    .podglad_realizacji .pr_flex .pr_box.w50
    {
        width: 100%;
    }
}